<?xml version="1.0" encoding="UTF-8"?>
<actions>
        <action>
            <actionName>profile</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:3.0.0:exec</goal>
            </goals>
            <properties>
                <exec.vmArgs>-Dsun.java2d.uiScale=2.5</exec.vmArgs>
                <exec.args>${exec.vmArgs} -classpath %classpath ${exec.mainClass} ${exec.appArgs}</exec.args>
                <exec.appArgs>-f ../quantr-i/output.vcd</exec.appArgs>
                <exec.mainClass>hk.quantr.vcdcomponent.QuantrVCDComponent</exec.mainClass>
                <exec.executable>java</exec.executable>
                
            </properties>
        </action>
        <action>
            <actionName>build</actionName>
            <packagings>
                <packaging>*</packaging>
            </packagings>
            <goals>
                <goal>install</goal>
                
            </goals>
            <properties>
                <skipTests>true</skipTests>
                
                
                
                
                
                
            </properties>
        </action>
        <action>
            <actionName>rebuild</actionName>
            <packagings>
                <packaging>*</packaging>
            </packagings>
            <goals>
                <goal>clean</goal>
                <goal>install</goal>
                
            </goals>
            <properties>
                <skipTests>true</skipTests>
                
                
                
                
                
            </properties>
        </action>
        <action>
            <actionName>build-with-dependencies</actionName>
            <reactor>also-make</reactor>
            <packagings>
                <packaging>*</packaging>
            </packagings>
            <goals>
                <goal>install</goal>
                
            </goals>
            <properties>
                <skipTests>true</skipTests>
            </properties>
        </action>
        <action>
            <actionName>run</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:3.0.0:exec</goal>
            </goals>
            <properties>
                <exec.vmArgs>-Dsun.java2d.uiScale=2.5</exec.vmArgs>
                <exec.args>${exec.vmArgs} -classpath %classpath ${exec.mainClass} ${exec.appArgs}</exec.args>
                <exec.appArgs>-f ../quantr-i/output.vcd</exec.appArgs>
                <exec.mainClass>hk.quantr.vcdcomponent.QuantrVCDComponent</exec.mainClass>
                <exec.executable>java</exec.executable>
            </properties>
        </action>
        <action>
            <actionName>debug</actionName>
            <packagings>
                <packaging>jar</packaging>
            </packagings>
            <goals>
                <goal>process-classes</goal>
                <goal>org.codehaus.mojo:exec-maven-plugin:3.0.0:exec</goal>
            </goals>
            <properties>
                <exec.vmArgs>-Dsun.java2d.uiScale=2.5 -agentlib:jdwp=transport=dt_socket,server=n,address=${jpda.address}</exec.vmArgs>
                <exec.args>${exec.vmArgs} -classpath %classpath ${exec.mainClass} ${exec.appArgs}</exec.args>
                <exec.appArgs>-f ../quantr-i/output.vcd</exec.appArgs>
                <exec.mainClass>hk.quantr.vcdcomponent.QuantrVCDComponent</exec.mainClass>
                <exec.executable>java</exec.executable>
                <jpda.listen>true</jpda.listen>
            </properties>
        </action>
        
        
    </actions>
